curl --request DELETE \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/{skill_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/{skill_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skills/{skill_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Delete Skill
Delete the Skill identified by the skill_id from the vocabulary. This operation cannot be undone. This step deletes all information linked exclusively to this Skill. By deleting a Skill, you delete it from all Skill Clusters and Skill Profiles containing it. This endpoint requires write_skills scope access. Please note that it is only possible to delete Skills flagged as custom.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The universally unique ID of the Skill, consisting of alphanumeric characters, hyphens and underscores. The Skill name connected to this id can be identified by either using the Skill Search endpoint or in any response body that contains that Skill.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The external vendor vocabulary the custom Skill you want to delete belongs to. This only works for vendors that are activated on your tenant. Defaults to the TechWolf vocabulary if not specified.
techwolf, workday, sap_attribute_library "workday"
Response
No Content
Was this page helpful?